Subject: RE: PMTU dicovery

From: "Vishwas Manral" <[email-masked]>
Date: Sun, 20 Nov 2005 20:29:55 -0800

Hi,

A few more minor things to add: -

1. If the packet is to be sent over the tunnel and needs to be fragmented we could send the Type=2, Code=0 to the source.
2. One of the documents I found was http://www.ietf.org/internet-drafts/draft-savola-mtufrag-network-tunneling-05.txt . You could look at it.

Thanks,
Vishwas
________________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Vishwas Manral
Sent: Monday, November 21, 2005 9:32 AM
To: Syed Obaid Amin; [email-masked]
Subject: RE: PMTU dicovery

Hi Obaid,

I think we do not require sending the PATH MTU to the original source at all. The original source when doing a Path MTU would use the tunnel and the PMTU would correctly work (the tunnel would be another link in the path).

Thanks,
Vishwas
________________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Syed Obaid Amin
Sent: Sunday, November 20, 2005 4:38 PM
To: [email-masked]
Subject: PMTU dicovery

Hi
 
Can intermediate routers do Path MTU discovery or  the originator of packet will do it ONLY?
for e.g. In case of VPN; can router for encapsulation do PMTU and send the "PMTU - (size of Data used for encaspulation)" to Source so encapsulation wont fragment the packet?
 
Thanks
 
Obaid Amin

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Syed Obaid Amin <[email-masked]>
Date: Mon, 21 Nov 2005 22:32:53 +0900

Hi
 I've found the answer of my question in section 7 of RFC 2473 .
 Thanks for your response .
 Regards
Obaid
 On 11/21/05, Vishwas Manral <[email-masked]> wrote:
> 1. If the packet is to be sent over the tunnel and needs to be fragmented
> we could send the Type=2, Code=0 to the source.
> 2. One of the documents I found was
> http://www.ietf.org/internet-drafts/draft-savola-mtufrag-network-tunneling-05.txt. You could look at it.
>
> Thanks,
> Vishwas
> I think we do not require sending the PATH MTU to the original source at
> all. The original source when doing a Path MTU would use the tunnel and the
> PMTU would correctly work (the tunnel would be another link in the path).
>
> Thanks,
> Vishwas
> Can intermediate routers do Path MTU discovery or the originator of packet
> willdo it ONLY?
> for e.g.In <http://e.g.In> case of VPN; canrouter for encapsulation do
> PMTU and send the "PMTU - (size of Data used for encaspulation)"to Source so
> encapsulation wont fragment the packet?
>
> Thanks
>
> Obaid Amin
>
>